=== qtcreator-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@echo "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@echo "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@echo "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@echo "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@echo "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FreOffice

# Build rule for target.
FreOffice: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FreOffice
.PHONY : FreOffice

# fast build rule for target.
FreOffice/fast:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/build
.PHONY : FreOffice/fast

AboutDialog.o: AboutDialog.cpp.o
.PHONY : AboutDialog.o

# target to build an object file
AboutDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.o
.PHONY : AboutDialog.cpp.o

AboutDialog.i: AboutDialog.cpp.i
.PHONY : AboutDialog.i

# target to preprocess a source file
AboutDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.i
.PHONY : AboutDialog.cpp.i

AboutDialog.s: AboutDialog.cpp.s
.PHONY : AboutDialog.s

# target to generate assembly for a file
AboutDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.s
.PHONY : AboutDialog.cpp.s

CollabClient.o: CollabClient.cpp.o
.PHONY : CollabClient.o

# target to build an object file
CollabClient.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.o
.PHONY : CollabClient.cpp.o

CollabClient.i: CollabClient.cpp.i
.PHONY : CollabClient.i

# target to preprocess a source file
CollabClient.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.i
.PHONY : CollabClient.cpp.i

CollabClient.s: CollabClient.cpp.s
.PHONY : CollabClient.s

# target to generate assembly for a file
CollabClient.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.s
.PHONY : CollabClient.cpp.s

CollabDialog.o: CollabDialog.cpp.o
.PHONY : CollabDialog.o

# target to build an object file
CollabDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.o
.PHONY : CollabDialog.cpp.o

CollabDialog.i: CollabDialog.cpp.i
.PHONY : CollabDialog.i

# target to preprocess a source file
CollabDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.i
.PHONY : CollabDialog.cpp.i

CollabDialog.s: CollabDialog.cpp.s
.PHONY : CollabDialog.s

# target to generate assembly for a file
CollabDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.s
.PHONY : CollabDialog.cpp.s

CollabServer.o: CollabServer.cpp.o
.PHONY : CollabServer.o

# target to build an object file
CollabServer.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.o
.PHONY : CollabServer.cpp.o

CollabServer.i: CollabServer.cpp.i
.PHONY : CollabServer.i

# target to preprocess a source file
CollabServer.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.i
.PHONY : CollabServer.cpp.i

CollabServer.s: CollabServer.cpp.s
.PHONY : CollabServer.s

# target to generate assembly for a file
CollabServer.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.s
.PHONY : CollabServer.cpp.s

Collaborate.o: Collaborate.cpp.o
.PHONY : Collaborate.o

# target to build an object file
Collaborate.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.o
.PHONY : Collaborate.cpp.o

Collaborate.i: Collaborate.cpp.i
.PHONY : Collaborate.i

# target to preprocess a source file
Collaborate.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.i
.PHONY : Collaborate.cpp.i

Collaborate.s: Collaborate.cpp.s
.PHONY : Collaborate.s

# target to generate assembly for a file
Collaborate.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.s
.PHONY : Collaborate.cpp.s

DBusAdaptor.o: DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.o

# target to build an object file
DBusAdaptor.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.cpp.o

DBusAdaptor.i: DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.i

# target to preprocess a source file
DBusAdaptor.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.cpp.i

DBusAdaptor.s: DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.s

# target to generate assembly for a file
DBusAdaptor.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.cpp.s

FoCellTool.o: FoCellTool.cpp.o
.PHONY : FoCellTool.o

# target to build an object file
FoCellTool.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.o
.PHONY : FoCellTool.cpp.o

FoCellTool.i: FoCellTool.cpp.i
.PHONY : FoCellTool.i

# target to preprocess a source file
FoCellTool.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.i
.PHONY : FoCellTool.cpp.i

FoCellTool.s: FoCellTool.cpp.s
.PHONY : FoCellTool.s

# target to generate assembly for a file
FoCellTool.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.s
.PHONY : FoCellTool.cpp.s

FoCellToolFactory.o: FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.o

# target to build an object file
FoCellToolFactory.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.cpp.o

FoCellToolFactory.i: FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.i

# target to preprocess a source file
FoCellToolFactory.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.cpp.i

FoCellToolFactory.s: FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.s

# target to generate assembly for a file
FoCellToolFactory.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.cpp.s

HildonApplication.o: HildonApplication.cpp.o
.PHONY : HildonApplication.o

# target to build an object file
HildonApplication.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.o
.PHONY : HildonApplication.cpp.o

HildonApplication.i: HildonApplication.cpp.i
.PHONY : HildonApplication.i

# target to preprocess a source file
HildonApplication.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.i
.PHONY : HildonApplication.cpp.i

HildonApplication.s: HildonApplication.cpp.s
.PHONY : HildonApplication.s

# target to generate assembly for a file
HildonApplication.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.s
.PHONY : HildonApplication.cpp.s

HildonMenu.o: HildonMenu.cpp.o
.PHONY : HildonMenu.o

# target to build an object file
HildonMenu.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.o
.PHONY : HildonMenu.cpp.o

HildonMenu.i: HildonMenu.cpp.i
.PHONY : HildonMenu.i

# target to preprocess a source file
HildonMenu.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.i
.PHONY : HildonMenu.cpp.i

HildonMenu.s: HildonMenu.cpp.s
.PHONY : HildonMenu.s

# target to generate assembly for a file
HildonMenu.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.s
.PHONY : HildonMenu.cpp.s

Main.o: Main.cpp.o
.PHONY : Main.o
