=== debian/changelog ===
freoffice (0.2-9) unstable; urgency=low

  * Enabled Enabled

 -- Lassi Nieminen <lassniem@gmail.com>  Wed, 13 Aug 2010 08:51:15 +0200
