=== debian/control ===
Source: freoffice
#Section: user/_Hiro uncomment when it goes into Hiro
Section: user/office
Priority: extra
Maintainer: Lassi Nieminen <lassniem@gmail.com>
Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
Standards-Version: 3.8.0

Package: freoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
Description: Office file viewer based on KOffice
 Simple office file viewer for maemo
XB-Maemo-Display-Name:FreOffice
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAFxQAABcUBST5X5AAAAAd0
 SU1FB9oEAgclKhb/9BYAAAo+SURBVGjetZpdjJxVGcd//+n2m0KkbEJsxIYS
 LmxiUVsEYaaNzs5rC60xfkSRGi8as6vSC0uUpMR44WcCF4DNbowxQiSCIAlU
 Ku/MQOgMEF0arUi9MWhKqBgLNbXYln79vZhzZs68nd3urnKSze7OvOec5zzP
 //k/H+cVsxzlao12s57+vwwYlrTS9mpgraRrbA9LujQ8dgQ4DOy3vQ94GTgI
 HG4368fiWpWRjFYjn5U8mqvw5WptjaQttjcD66Tzl7Ld2yh8X/hs0vZuYHe7
 Wf8jQKWa0Wrm//8DROGDxnNJ77N9iSRsRwF9oTXdOYEKhzoKHJCUtRr5W7Ox
 RGkmgofNFpartZ2S/g1cD1wcNSrJM1WIOgNJth3nXwx8BDhWrtZ22l6Y7j1n
 C0RNlKu1D0v6EbA2KFEFyBiQwQJFmKTPpFYK8wdZK363z/ZX2836ZNHnZmyB
 crVGq5FTGcm2As9G4cOm7kcEsm2dD40zts8MMILpHdQptIJl1gJ7y9XaF9rN
 OpWRbHYHqIxkEe/bbT8ALIha7aqvtyG2jwOvAQ/brtheDiyVtARYAiwFlofv
 fmn7NdvHw0FVWDOecoGkn5ertdsCCmYGoQQ224G7JM23DZLVmxMt8bbtu4AX
 2s36nlky2ibgBkk7AuYjLqNFIkxP27693azfO8i5S4NgU67WvijpHmB+0IYV
 Fo2aD5pcIenOKPx0pi6SQrtZ3yNpJ7BC0iPRAh0kkhLDfOCeyki2NUC6b715
 6T+v/vUVKiPZ9ZIeDYeL60ZtCDgu6evtZv0bK1dddQLg4F9fIf093Xg1eeaK
 K1ch6USrkT9yxZWrjkhaDyxIfSUc6Byw6b1Xrmq2m/VDAyFUrtaQtBB4Dlhb
 gE006SHgllYjb/EOjMpIth54EFgRtEYBTvts3wi8HZmplDqt7dttrw2TU9hI
 0iHbG1qNvFWuZueZciacPd34wM1baTXyvcAG24eC+lM4OaQpt6fMpCTCXgQc
 SyguZYbjkja1GnkrcfIFktbYvhz4J/D7drN+elreHg0OOJHBWP092O8HzgB/
 YiL7e8ESe2wvjqQRHTwcalm7WX+rMpJRiptJygMlpqB3iJzf7Gi+GxsWAD+x
 PSnpCUm/lTRRGckWTRd0EuE3Yf8N6ddITyH9mdF8XcKCe23fkQofHTxE8Ryg
 1ci7EFoTMkmHB/rYptXIdxUC1KeAzyXUbeCLwGenFHys3hF+NP8k8DBSKcnu
 LkH6NmP1xfHxdrN+H/BoQZExFK2ujGRrUhrdAlwSMZeY7G3gKxFvCQdfLWl+
 yhS25wHvHgibsTqM12Csfh3wELCUzl6deGKD/UHsi+IewafGbJ9y71nC35cE
 mSmVq7VltjcX8pYY5u+S9OYAfZ7rD5rqyysKiUMU/pPAXqQFBIbrewZeAt4q
 zH4DuDsRPB2bKyPZsiFgGFiXZpVBrcdtP39BTCf5/nny9zS/EXgAez4QszoT
 Od4+h/RDxmsnEghFSzwXSGRJhHiA9jpguCRpZcB9jAvRXG+0m/XfzIkTU9iM
 5tdi78FeCohe3dC1JtJGxmvPdFkqGSFiv5nUEWnCuLIUnLeXFfbytednmh4M
 HB3NfwZ4hgjPCBtb2EL6J9IWxmvNrpMX8rIwXigke/HP1aWQJnejsnqYHi84
 7sxHhyo3Az9FWkLUXk/wc8AZ7C8xXvsNo3nnwIUR97a9q8/ZehnE2iFJ1xTr
 2IDnA7MSuuOYEfsfBB6jw0wiRtJQO2CfAz7ORPY0o/l5mh/gXwcKRVH8/JqS
 7eEpivGTs20PlHz2LF999t3AJDCEFGETNS+kI0g3M5E9PQg2U4yTxQovjOGS
 pEsHdA/OSDo9KwMghs6efJtzp28NWW5kmZSfjwKfYLyWd518Rsb16ZByFD+/
 dGiaSXNx3V5gmroGH5rtooXOR1+9XQpNp+KEIUlDs0OQOTNv0SJK8+8HTvRh
 vzcuxn6M0XxjYKmZLj9UPHjoaBwpAYeL3YPws3i2uj+nefPYteEfwHXAf7rY
 7wQvhwO9C+kJRvNaiBMzWX3xIFRIOlwC9hfNFX6vnqWd6UJnInsJaQtwtMtQ
 kUJ7peyTjNU3Bcq90Oqrk2Cbyrm/ZHtf0LiTRA7bX5lzodJx0GeArcC/unCK
 rGSXkIawf8ZYfdNUlkgC2dds46QFE2TeVwqN1m5wiJmfpBvSnGSOh9gNfBTp
 bLBALyJ3vHIY+3FG82pItacKZNeHCrEvkEl6uRS6xCTaj3XA8nK1tnHOaUR0
 0olsP5AB/+7z+R7kSkhPMpp/ZFBMKFdrN0lanuRoqSMcjE48GauxpGO2BLix
 MpLNCEYDaTdCY7z2NNKtSMeDJZzkRiVgAdIdjNUXpjV22PdG20uSDmCsyiZt
 Hy61m/VjocWdOkiszHYAy4sRUJ1cptBwBklnBzp35xC7gQ2BYiHN7zvzP4S9
 rOCkl0naEZvBBWXtbjfrx2JFttv20bTLHBxlITAesRidyvYrIVI78Zkztl8b
 aIXINOO1F4HPA291IdTLUP8A/CdaO+w5bnt+oSVvSUeB3d2SMlwuHIhVT1rU
 A5+pjGS3FcR6zPZDiTll+wFJv7pAeg0T2eOhdj6R5PdHgG8xkZ1IGGi7pE+n
 RX3iwAdajfyPAKVuf0XKYtGctuPCxB+Uq7X1scnabtZPSdom6dpQm14naazV
 yE+Xq9mF2Wkiewr7aqSbsDNgNRPZ7yPrlau1DcD3k8ZCX980kEKnGVdo6O6U
 9J3U05Na9HVJ61uN/C+VkQzbxbuyuVMusHbT59i35yEqI9nVwN7QbypiX8Cd
 7Wb9u1FmpUHD9kJJ7VBv9k0OmngduKXdrD/7TrQWy9XaBkm/AC4vKjGw5IvA
 jZJORb8c1F7/sO1nQ5O1lKIpNneBO1qN/L6k0zxXgZEUm2XbA2yWFBCswHqn
 gPWtRj55ofb67yR9WVIpFvrREjHJs31vuVp7RNJlU4T+aa+tCvHjsnK19ghw
 T5pARoUFGUq2t7Ua+WQxJk13wXGbpLuB+WnLJaFN2T4V+jbPt5v1J2ep/ZsC
 HHY4tlv6ldW94AB2RIsXra3pLvcCfd7rTg0b4UTCCJF2jwNvSnrB9q5Qw560
 fSZgd0jSImB1SMyul7Q8wIUCXkhgUwK2txr5fVNdvWoG98JbgR8Di4qd6zRk
 pLcgSVpxNnw3L218pZd806x50va2drP+4HT3xvOmu0kJ9wYvrVx1VRNYA6xI
 TJ12Ovo8Lubu6jRwS0mNES9N0pZ5ulCM7C8Cn203609diJ7nTYfTg+EQrUZ+
 aOWqq+6XdFLSx/rq317eIg163+B8k6sYY5KrJEnaKWlbu1l/dSax5YI39UlO
 fqrVyL9n+yLg+VhtJVlssWU45asGgc3SgxwFnpN0Udjj1EzpeVYve6RYrIxk
 7wc2294SUgoGN6f7sE/hFn/S9hPAE+1m/U9zeWNFsw0+xQ3K1doyScO2VwaW
 WRu6fcO2Lw1CH5HUfd1G0su2D0o63Grkx/6XdOS/c2+nwNgE0uwAAAAASUVO
 RK5CYII=

Package: freoffice-dev
Section: libdevel
Architecture: any
Depends: freoffice (>= ${binary:Version})
Description: Dev files for freoffice plugin development.
 Freoffice plugin development files.
