## freoffice 0.3-0

=== debian/changelog ===
freoffice (0.3-0) unstable; urgency=high

  * More bug fixes.
  * Presentation Editing enabled
  * Insert images in to document

 -- Mani <maninc@gmail.com>  Thu, 30 Sep 2010 08:51:15 +0200

freoffice (0.2-10) unstable; urgency=low

  * Fixed some critical bugs

 -- Mani <maninc@gmail.com>  Fri, 27 Aug 2010 08:51:15 +0200
