=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: freoffice
-#Section: user/_Hiro uncomment when it goes into Hiro
 Section: user/office
 Priority: extra
-Maintainer: Lassi Nieminen <lassniem@gmail.com>
-Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
+Maintainer: Mani Chandrasekar <maninc@gmail.com>
+Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev, libsoprano-dev (>= 2.5.2), libxml2-dev, openssl, libssl-dev
 Standards-Version: 3.8.0
 
 Package: freoffice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
-Description: Office file viewer based on KOffice
- Simple office file viewer for maemo
+Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9), libsoprano4 (>= 2.5.2)
+Description: FreOffice is a mobile Office suite powered by KOffice
+ Users can view office documents(Microsoft formats and ODF), carry basic editing and create new documents
+XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=freoffice
 XB-Maemo-Display-Name:FreOffice
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
