=== debian/changelog ===
freoffice (0.3-1) unstable; urgency=low

  * Corrected control to depend on recent files of kofficemeego & chart & libkok
  * *Added possibility to give feedback from the application

 -- Lassi <lassniem@gmail.com>  Fri, 31 Sep 2010 08:51:15 +0200
