=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: freoffice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9), libsoprano4 (>= 2.5.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.3.0-1), koffice-kchart (>= 2.3.0-1), libsoprano4 (>= 2.5.2), libkok (>= 4:4.3.2-17), freoffice-feedback-plugin
 Description: FreOffice is a mobile Office suite powered by KOffice
  Users can view office documents(Microsoft formats and ODF), carry basic editing and create new documents
 XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=freoffice
