=== debian/rules ===
#!/usr/bin/make -f

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_MODULE_PATH=/usr/share/kde4/apps/cmake/modules

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
